3

Help with making 11.3 with RTAI

view full story
linux-howto

http://forums.opensuse.org – Hi, I have downloaded 11.3 src and build a kernel which runs ok. I want to add RTAI to this so I downloaded RTAI 3.8 and ran .configure. I got the following message configure: error: HAL patch not applied/enabled in /usr/src/linux I asked on the Emc list and someone told me there were patches in rtai-3.8/base/arch/x86_64/patches. The latest I found was hal-linux-2.6.23-x86_64-1.4-03.patch I have two questions, firstly is it worth applying this patch seeing the difference in kernel versions (mine is 2.6.34-12). Also how do I apply the patch ? I tried (Distributions)